Bug 122655 - Spreadsheet still marked unsaved when disallowed external link update should fail to execute
Summary: Spreadsheet still marked unsaved when disallowed external link update should ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.0.1 rc
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 126992 (view as bug list)
Depends on:
Blocks: Calc-External-Datalink
  Show dependency treegraph
 
Reported: 2019-01-11 15:04 UTC by Dan Dascalescu
Modified: 2021-09-27 03:23 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Link still updates despite automatic updates off (40.94 KB, image/png)
2019-04-25 19:29 UTC, Dan Dascalescu
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Dascalescu 2019-01-11 15:04:50 UTC
1. Create a spreadsheet with an external link
2. Set the external link to update every automatically every X seconds
3. Save and close the spreadsheet
4. From the security settings, disable automatic updating for external links, so that you see the top info bar saying "Automatic update of external links has been disabled."
4. Re-open the document
5. Wait X+1 seconds
6. Attempt to close the document. note the prompt asking whether to save or not, but no modifications have been made to the spreadsheet, because the setting to autoupdate links is disabled.

Is what has "changed" the timestamp of the last run, perhaps?
Comment 1 Xisco Faulí 2019-02-12 17:05:07 UTC
Hi  Dan Dascalescu,
is this issue still reproducible in LibreOffice 6.2.0.3 ?
Comment 2 Xisco Faulí 2019-03-21 12:00:28 UTC
(In reply to Xisco Faulí from comment #1)
> Hi  Dan Dascalescu,
> is this issue still reproducible in LibreOffice 6.2.0.3 ?

Setting to NEEDINFO...
Comment 3 Dan Dascalescu 2019-04-25 19:29:55 UTC
Created attachment 151014 [details]
Link still updates despite automatic updates off

Yes, I still see this behavior in 6.2.3.2:

As seen in the yellow banner of the screenshot, behind the menu: "Automatic update of external links has been disabled", I've disabled automatic updates.

However, if I wait longer than the update frequency, the Edit menu will show "Undo: update link".
Comment 4 QA Administrators 2019-05-08 21:47:00 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2019-08-16 08:37:29 UTC
Repro.

The setting is Security options and warnings - Block any links...

Version: 6.4.0.0.alpha0+ (x64)
Build ID: 3e64065612acec2eb29aa21e2b515953422256d7
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2019-08-15_22:57:26
Locale: fi-FI (fi_FI); UI-Language: en-US
Calc: threaded
Comment 6 Xisco Faulí 2019-09-26 12:07:09 UTC
*** Bug 126992 has been marked as a duplicate of this bug. ***
Comment 7 QA Administrators 2021-09-26 03:57:12 UTC Comment hidden (obsolete)
Comment 8 Hayo Baan 2021-09-26 07:41:03 UTC
Bug https://bugs.documentfoundation.org/show_bug.cgi?id=126992 is still present in the latest (7.1.5.2) version. So this is still a problem.
Comment 9 QA Administrators 2021-09-27 03:23:56 UTC
Dear Dan Dascalescu,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug